summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2023-08-17 04:20:57 +0100
committerSam James <sam@gentoo.org>2023-08-18 02:30:39 +0100
commitd5568f773d763bcfcaa50577553a3721c7b9eb83 (patch)
tree54916551b6ed3963bd7b456f5a57fd2042371091 /eclass/flag-o-matic.eclass
parentflag-o-matic.eclass: update _filter-hardened (diff)
downloadgentoo-d5568f773d763bcfcaa50577553a3721c7b9eb83.tar.gz
gentoo-d5568f773d763bcfcaa50577553a3721c7b9eb83.tar.bz2
gentoo-d5568f773d763bcfcaa50577553a3721c7b9eb83.zip
flag-o-matic.eclass: recognize -fstack-protector-strong in _filter-hardened
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/flag-o-matic.eclass')
-rw-r--r--eclass/flag-o-matic.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index 7ea29334bba8..70d39d034388 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -162,8 +162,8 @@ _filter-hardened() {
fi
;;
- -fstack-protector)
- if ! gcc-specs-ssp && ! tc-enables-ssp ; then
+ -fstack-protector|-fstack-protector-strong)
+ if ! gcc-specs-ssp && ! tc-enables-ssp && ! tc-enables-ssp-strong ; then
continue
fi